#
# spec file for package rubygem-et-orbi
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-et-orbi
Version:        1.2.11
Release:        1.2
%define mod_name et-orbi
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/floraison/et-orbi
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        time with zones
License:        MIT

%description
Time zones for fugit and rufus-scheduler. Urbi et Orbi.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ## et-orbi 1.2.11  released 2024-03-23
- Cache @rweek and @rday, not @ref, gh-38
  [#]# et-orbi 1.2.10  released 2024-03-22
- Refine #rweek computation, aim more at noon instead of midnight, gh-38
  [#]# et-orbi 1.2.9  released 2024-03-13
- Refine #rweek computation, aim at noon instead of midnight, gh-38
  [#]# et-orbi 1.2.8  released 2024-03-11  (13 ans)
- Cache the @ref time used in the #rweek and #rday computation
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.7
  see installed CHANGELOG.md
  [#]# et-orbi 1.2.7  released 2022-03-09
  - Fix the wday_in_month computation for floraison/fugit#67
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.6
  see installed CHANGELOG.md
  [#]# et-orbi 1.2.6  released 2021-10-30
  - Favour IANA timezone name in EtOrbi.make_time
  [#]# et-orbi 1.2.5  released 2021-09-18
  - Re-use the DateTime.parse result
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.4
  see installed CHANGELOG.md
  [#]# et-orbi 1.2.4  released 2020-03-18
  - Do not call Chronic (even if enabled) from make_from_array, gh-28
  - Be modern, use strftime '%%6N', join Ruby 2.x :-)
  [#]# et-orbi 1.2.3  released 2020-03-06
  - Introduce EtOrbi.chronic_enabled = false and EtOrbi.chronic_enabled?, gh-26
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.2
  see installed CHANGELOG.md
  [#]# et-orbi 1.2.2  released 2019-08-19
  - Let EoTime#== accept EoTime or ::Time instances, gh-20, gh-7
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.1
  see installed CHANGELOG.md
  [#]# et-orbi 1.2.1  released 2019-05-01
  - More US time zone corrections, Vais Salikhov, gh-19
  [#]# et-orbi 1.2.0  released 2019-04-25
  - Add missing US time zone aliases, Vais Salikhov, gh-18
  - Stop fooling around and stick to https://semver.org, start with 1.2.0
  [#]# et-orbi 1.1.8  released 2019-04-11
  - Work hard to make it work on Windows
  - Implement EoTime#rweek and #rday (reference week, reference day)
  - Alias EoTime#in_time_zone(zone) to #localtime(zone)
  - Stop fooling around and stick to https://semver.org
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.7
  see installed CHANGELOG.md
  [#]# et-orbi 1.1.7  released 2019-01-14
  - Rework Chronic integration, prevent conflict with ActiveSupport Time.zone
  - Implement EtOrbi.extract_zone(s) (returns s1 and zone name)
  - Adapt specs and EoTime#to_debug_s to Windows on Appveyor
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.1.6
  see installed CHANGELOG.md
* Sat Jul 14 2018 factory-auto@kulow.org
- updated to version 1.1.3
  see installed CHANGELOG.md
  [#]# et-orbi 1.1.3  released 2018-07-14
  - Introduce EtOrbi::EoTime#ambiguous?
  - Introduce EtOrbi::EoTime#to_z for precise timezones (not offsets)
* Thu May 24 2018 factory-auto@kulow.org
- updated to version 1.1.2
  see installed CHANGELOG.md
  [#]# et-orbi 1.1.2  released 2018-05-24
  - Let EtOrbi.get_tzone understand "CST+0800"
  - Introduce EtOrbi.to_windows_tz (Asia/Kolkata to IST-5:30)
* Fri May  4 2018 factory-auto@kulow.org
- updated to version 1.1.1
  see installed CHANGELOG.md
  [#]# et-orbi 1.1.1  released 2018-05-04
  - Stop caching the local tzone, cache the tools used for determining it
* Mon Mar 26 2018 factory-auto@kulow.org
- updated to version 1.1.0
  see installed CHANGELOG.md
  [#]# et-orbi 1.1.0  released 2018-03-25
  - Implement EoTime .utc and .local (based on Time .utc and .local)
  - Add EoTime#translate(target_zone) as #localtime(target_zone) alias
  - Correct EoTime#iso8601 (was always returning zulu iso8601 string)
* Thu Feb  8 2018 coolo@suse.com
- updated to version 1.0.9
  see installed CHANGELOG.md
  [#]# et-orbi 1.0.9  released 2018-01-19
  - Silence EoTime#strfz warning
  - Silence warnings reported by @mdave16, gh-10
  - @philr added support for upcoming tzinfo 2.x, gh-9
* Thu Oct 26 2017 coolo@suse.com
- updated to version 1.0.8
  see installed CHANGELOG.md
  [#]# et-orbi 1.0.8  released 2017-10-24
  - Ensure ::EoTime.new accepts ActiveSupport::TimeZone, closes gh-8
* Wed Oct 11 2017 coolo@suse.com
- updated to version 1.0.7
  see installed CHANGELOG.md
  [#]# et-orbi 1.0.7  released 2017-10-07
  - Leverage ActiveSupport::TimeWithZone when present, gh-6
  - Start error messages with a capital
  [#]# et-orbi 1.0.6  released 2017-10-05
  - Introduce `make info`
  - Alias EoTime#to_utc_time to #utc
  - Alias EoTime#to_t to #to_local_time
  - Implement EoTime#to_local_time (since #to_time returns a UTC Time instance)
* Mon Aug  7 2017 tampakrap@opensuse.org
- Initial package
